# Rôle du Script Bash

Ce script Bash, `zabbix.sh`, automatise l'installation et la configuration de Zabbix sur notre serveur ap32-mon. Voici une explication détaillée des actions réalisées par ce script :

**Configuration des proxy HTTP/HTTPS :**
   - Le script commence par définir les variables d'environnement `http_proxy` et `https_proxy`, permettant de spécifier un serveur proxy pour les connexions HTTP et HTTPS (à l'adresse `10.121.38.1:8080`).
---

**Téléchargement et installation du paquet Zabbix Release :**
   - Le script utilise `wget` pour télécharger le paquet d'installation de Zabbix pour Debian 12 depuis le dépôt officiel de Zabbix.
   - Il installe ensuite ce paquet `.deb` en utilisant `dpkg -i`.
---

**Installation des dépendances nécessaires :**
   - Le script installe les paquets suivants :
     - `apache2`
     - `mariadb-server`
     - `zabbix-server-mysql`
     - `zabbix-frontend-php`
     - `zabbix-apache-conf`
     - `zabbix-sql-scripts`
     - `zabbix-agent`
---

**Création de la base de données Zabbix :**
   - Le script crée une base de données MySQL appelée `zabbix` avec le jeu de caractères `utf8mb4` et le collationnement `utf8mb4_bin`.
---   

**Création d'un utilisateur Zabbix dans MySQL :**
   - Il crée un utilisateur MySQL nommé `zabbix` avec un mot de passe (`password`) et lui accorde tous les privilèges sur la base de données `zabbix`.
---

**Configuration de MySQL pour permettre la création de fonctions binaires :**
   - Une première commande MySQL est exécutée pour activer la création de fonctions binaires (`log_bin_trust_function_creators`).
---

**Importation des scripts SQL de Zabbix :**
   - Le script décompresse et exécute le fichier `server.sql.gz` qui contient les scripts nécessaires à la configuration de la base de données de Zabbix.
---

**Désactivation de la création de fonctions binaires :**
   - Une fois l'importation terminée, la fonction de création de fonctions binaires est désactivée avec une nouvelle commande MySQL.
---

**Configuration du fichier de configuration de Zabbix :**
   - Le script modifie le fichier `/etc/zabbix/zabbix_server.conf` pour y spécifier le mot de passe de la base de données Zabbix (`DBPassword=password`).
---

**Redémarrage et activation des services :**
    - Le script redémarre les services de Zabbix (`zabbix-server`, `zabbix-agent`) et Apache (`apache2`), puis les active pour qu'ils démarrent automatiquement au démarrage du système.
---

**Configuration de la locale système :**
    - Le script définit la locale du système sur `en_US.UTF-8`.
---

**Redémarrage final des services :**
    - Enfin, le script redémarre à nouveau les services Zabbix et Apache pour appliquer toutes les configurations.